Bug 188801 - [MAINTAINER] math/jakarta-commons-math3: update to 3.2
Summary: [MAINTAINER] math/jakarta-commons-math3: update to 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 22:10 UTC by Muhammad Moinur Rahman
Modified: 2014-04-26 19:35 UTC (History)
0 users

See Also:


Attachments
jakarta-commons-math3-3.2.patch (6.75 KB, patch)
2014-04-19 22:10 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-19 22:10:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-26 19:15:42 UTC
Author: sunpoet
Date: Sat Apr 26 18:15:36 2014
New Revision: 352352
URL: http://svnweb.freebsd.org/changeset/ports/352352
QAT: https://qat.redports.org/buildarchive/r352352/

Log:
  - Update to 3.2
  - Add LICENSE
  - Convert to new options framework
  - Support STAGEDIR
  
  Changes:	http://svn.apache.org/viewvc/commons/proper/math/trunk/RELEASE-NOTES.txt
  PR:		ports/188801
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com> (maintainer)

Modified:
  head/math/jakarta-commons-math3/Makefile
  head/math/jakarta-commons-math3/distinfo
  head/math/jakarta-commons-math3/files/patch-build.xml

Modified: head/math/jakarta-commons-math3/Makefile
==============================================================================
--- head/math/jakarta-commons-math3/Makefile	Sat Apr 26 18:15:31 2014	(r352351)
+++ head/math/jakarta-commons-math3/Makefile	Sat Apr 26 18:15:36 2014	(r352352)
@@ -2,47 +2,34 @@
 # $FreeBSD$
 
 PORTNAME=	commons-math3
-PORTVERSION=	3.1
+PORTVERSION=	3.2
 CATEGORIES=	math java
-MASTER_SITES=	${MASTER_SITE_APACHE_COMMONS_SOURCE}
-MASTER_SITE_SUBDIR=	${PORTNAME:S,commons-math3,math,}
+MASTER_SITES=	${MASTER_SITE_APACHE_COMMONS_SOURCE}/:source1 \
+		http://repo1.maven.org/maven2/junit/junit/4.8.2/:source2
+MASTER_SITE_SUBDIR=	${PORTNAME:S,commons-math3,math,}/:source1
 PKGNAMEPREFIX=	jakarta-
-DISTNAME=	${PORTNAME}-${PORTVERSION}-src
+DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tar.gz:source1 \
+		junit-4.8.2.jar:source2
+EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}-src.tar.gz
 
 MAINTAINER=	5u623l20@gmail.com
 COMMENT=	Java library of self-contained mathematics and statistics components
 
-BUILD_DEPENDS=	${JAVAJARDIR}/commons-logging.jar:${PORTSDIR}/java/jakarta-commons-logging \
-		${JAVAJARDIR}/junit.jar:${PORTSDIR}/java/junit \
-		${JAVAJARDIR}/commons-discovery.jar:${PORTSDIR}/java/jakarta-commons-discovery
-RUN_DEPENDS=	${JAVAJARDIR}/commons-logging.jar:${PORTSDIR}/java/jakarta-commons-logging \
-		${JAVAJARDIR}/commons-discovery.jar:${PORTSDIR}/java/jakarta-commons-discovery
+LICENSE=	APACHE20
+
+WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}-src
 
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 USE_ANT=	yes
 
 ALL_TARGET=	jar
-MAKE_ARGS=	-Dlibdir=${WRKDIR} -Dnoget=true \
-		-Dcommons-logging.jar="file://${JAVAJARDIR}/commons-logging.jar" \
-		-Dcommons-discovery.jar="file://${JAVAJARDIR}/commons-discovery.jar"
-
-COMMONS_LOGGING_API=	${LOCALBASE}/share/doc/commons-logging/api
-.if exists(${COMMONS_LOGGING_API})
-MAKE_ARGS+=	-Dcommons-logging.api=${COMMONS_LOGGING_API}
-.endif
-
-COMMONS_DISCOVERY_API=	${LOCALBASE}/share/doc/commons-discovery/api
-.if exists(${COMMONS_DISCOVERY_API})
-MAKE_ARGS+=	-Dcommons-logging.api=${COMMONS_DISCOVERY_API}
-.endif
+MAKE_ARGS=	-Dlibdir=${WRKDIR} -Dnoget=true
 
 JARFILE=	${PORTNAME:S,3,,}-${PORTVERSION}-SNAPSHOT.jar
 DESTJARFILE=	${PORTNAME}.jar
 PLIST_FILES+=	%%JAVAJARDIR%%/${DESTJARFILE}
 
-NO_STAGE=	yes
-
 OPTIONS_DEFINE=	DOCS
 
 .include <bsd.port.options.mk>
@@ -53,30 +40,28 @@ OTHERDOCS=	LICENSE.txt NOTICE.txt
 PORTDOCS=	apidocs ${OTHERDOCS}
 .endif
 
-JDK_API!=	(${FIND} -s ${LOCALBASE}/share/doc/jdk1.? -maxdepth 1 -name api -type d 2>/dev/null || ${ECHO_CMD}) | ${TAIL} -n 1
+JDK_API=	${FIND} -s ${LOCALBASE}/share/doc/jdk1.? -maxdepth 1 -name api -type d 2>/dev/null || ${ECHO_CMD} | ${TAIL} -n 1
 .if ${JDK_API} != ""
-MAKE_ARGS+=	-Djdk.api=${JDK_API}
+MAKE_ARGS+=	-Djdk.api=$$(${JDK_API})
 .endif
 
-post-patch:
-	${REINPLACE_CMD} -e 's#4.4##g' \
-			-e 's#junit-#junit#g' \
-			-e 's#/usr/share/junit#${JAVAJARDIR}#g' \
-			${WRKSRC}/build.xml
+post-extract:
+	${MKDIR} ${WRKSRC}/lib
+	${CP} ${DISTDIR}/junit-4.8.2.jar ${WRKSRC}/lib/
 
 do-install:
 	@${ECHO_MSG} -n ">> Installing JAR as ${JAVAJARDIR}/${DESTJARFILE}..."
-	@${MKDIR} ${JAVAJARDIR}
-	@${INSTALL_DATA} ${WRKSRC}/target/${JARFILE} ${JAVAJARDIR}/${DESTJARFILE}
+	@${MKDIR} ${STAGEDIR}${JAVAJARDIR}
+	@${INSTALL_DATA} ${WRKSRC}/target/${JARFILE} ${STAGEDIR}${JAVAJARDIR}/${DESTJARFILE}
 	@${ECHO_MSG} " [ DONE ]"
 
 .if ${PORT_OPTIONS:MDOCS}
 	@${ECHO_MSG} -n ">> Installing documentation in ${DOCSDIR}..."
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	@cd ${WRKSRC}/target \
-	  && ${FIND} -s apidocs -type d -exec ${MKDIR} ${DOCSDIR}/{} \; \
-	  && ${FIND} -s apidocs -type f -exec ${INSTALL_DATA} {} ${DOCSDIR}/{} \;
-	@${INSTALL_DATA} ${OTHERDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
+	  && ${FIND} -s apidocs -type d -exec ${MKDIR} ${STAGEDIR}${DOCSDIR}/{} \; \
+	  && ${FIND} -s apidocs -type f -exec ${INSTALL_DATA} {} ${STAGEDIR}${DOCSDIR}/{} \;
+	@${INSTALL_DATA} ${OTHERDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}/
 	@${ECHO_MSG} " [ DONE ]"
 .endif
 

Modified: head/math/jakarta-commons-math3/distinfo
==============================================================================
--- head/math/jakarta-commons-math3/distinfo	Sat Apr 26 18:15:31 2014	(r352351)
+++ head/math/jakarta-commons-math3/distinfo	Sat Apr 26 18:15:36 2014	(r352352)
@@ -1,2 +1,4 @@
-SHA256 (commons-math3-3.1-src.tar.gz) = 0cd25ae24b5d026f729f3be9fac7a3cc0ad3b6b5352335e63538c53c0a54470c
-SIZE (commons-math3-3.1-src.tar.gz) = 2481249
+SHA256 (commons-math3-3.2-src.tar.gz) = 07992f0630aea0e973c41a34330fe8109b867fc30507b566142a62ec2e483310
+SIZE (commons-math3-3.2-src.tar.gz) = 2602474
+SHA256 (junit-4.8.2.jar) = a2aa2c3bb2b72da76c3e6a71531f1eefdc350494819baf2b1d80d7146e020f9e
+SIZE (junit-4.8.2.jar) = 237344

Modified: head/math/jakarta-commons-math3/files/patch-build.xml
==============================================================================
--- head/math/jakarta-commons-math3/files/patch-build.xml	Sat Apr 26 18:15:31 2014	(r352351)
+++ head/math/jakarta-commons-math3/files/patch-build.xml	Sat Apr 26 18:15:36 2014	(r352352)
@@ -1,11 +1,47 @@
---- build.xml.orig	2012-03-26 01:38:37.000000000 +0600
-+++ build.xml	2012-03-26 01:38:56.000000000 +0600
-@@ -36,7 +36,7 @@
-   <!-- Junit -->
-   <property name="junit.version"           value="4.8.2"/>
-   <property name="junit.home"              value="/usr/share/junit"/>
--  <property name="junit.jar"               value="${junit.home}/junit-${junit.version}.jar"/>
-+  <property name="junit.jar"               value="${junit.home}/junit.jar"/>
+--- build.xml.bak	2014-04-19 21:14:45.345201138 +0600
++++ build.xml	2014-04-19 21:17:15.132174422 +0600
+@@ -52,7 +52,7 @@
+   <property name="component.title"         value="Commons MATH"/>
  
+   <!-- The current version number of this component -->
+-  <property name="component.version"       value="3.1-SNAPSHOT"/>
++  <property name="component.version"       value="3.2-SNAPSHOT"/>
+ 
+   <!-- The base directory for component sources -->
+   <property name="source.home"             value="src/main/java"/>
+@@ -174,7 +174,7 @@
+ 
+ <!-- ========== Unit Test Targets ========================================= -->
+ 
+-    <target name="compile.tests" depends="compile, download-dependencies" description="Compile unit tests.">
++    <target name="compile.tests" depends="compile" description="Compile unit tests.">
+ 
+       <javac srcdir="${test.home}"
+              destdir="${build.home}/test-classes"
+@@ -341,26 +341,5 @@
+   <target name="gump" depends="clean,test,javadoc,jar" description="Gump Target - clean,test,javadoc,jar"/>
+ 
+ 
+-<!-- ========== Download Dependencies =========================================== -->
+-
+-    <target name="download-dependencies" 
+-           depends="check-availability" unless="skip.download">
+-        <echo message="doing download-dependencies..." />
+-        <antcall target="download-junit" />
+-    </target>
+-
+-    <target name="check-availability">
+-        <echo message="doing check-availability..." />
+-        <available file="${junit.jar}" property="junit.found"/>
+-    </target>
+-
+-    <target name="download-junit" unless="junit.found">
+-        <echo message="Downloading junit..."/>
+-        <mkdir dir="${download.lib.dir}" />
+-        <get dest="${download.lib.dir}/junit-${junit.version}.jar"
+-            usetimestamp="true" ignoreerrors="true"
+-            src="http://repo1.maven.org/maven2/junit/junit/${junit.version}/junit-${junit.version}.jar"/>
+-    </target>
+-      
+ </project>
  
- <!-- ========== Component Declarations ==================================== -->
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-04-26 19:35:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!